package com.caimei.www.mapper;

import com.caimei.www.pojo.order.CartItem;
import com.caimei.www.pojo.page.ProductDetail;
import com.caimei.www.pojo.page.ProductList;
import com.caimei.www.pojo.page.Parameter;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/8
 */
@Mapper
public interface ProductDao {
    /**
     * 根据商品Id获取详情
     * @param productId
     * @return
     */
    ProductDetail getProductDetailById(Integer productId);

    /**
     * 详情-相关推荐
     * @param productId
     * @return
     */
    List<ProductList> getProductRecommendsById(Integer productId);
    List<ProductList> getAutoProductRecommends(Integer productId);

    /**
     * 详情-相关参数
     * @param productId
     * @return
     */
    List<Parameter> getProductParameters(Integer productId);

    /**
     * 详情-图片
     * @param productId
     * @return
     */
    List<String> getProductDetailImages(Integer productId);

    /**
     * 详情-价格
     * @param productId
     * @return
     */
    CartItem getPriceItemById(Integer productId);
}
